
/* LOG 2.01 - 28/8/97 */

#include "log.h"


static char logfname[LOGFNAME_LEN+1] = "";


void SetLogName(char *s)

   {strncpy(logfname, s, LOGFNAME_LEN);
    logfname[LOGFNAME_LEN] = '\0';
   }


int LogClear(void)

   {FILE *fe;
    fe = fopen(logfname, "w");
    if (fe == NULL)
        return 0;
    else
       {fclose(fe);
        return 1;}
   }


int LogWrite(char *s)

   {FILE *fe;
    fe = fopen(logfname, "a");
    if (fe == NULL)
        return 0;
    else
       {fprintf(fe, "%s", s);
        fclose(fe);
        return 1;}
   }


int LogWriteln(char *s)

   {FILE *fe;
    fe = fopen(logfname, "a");
    if (fe == NULL)
        return 0;
    else
       {fprintf(fe, "%s\n", s);
        fclose(fe);
        return 1;}
   }


int LogWriteInt(long int n)

   {FILE *fe;
    fe = fopen(logfname, "a");
    if (fe == NULL)
        return 0;
    else
       {fprintf(fe, "%ld", n);
        fclose(fe);
        return 1;}
   }


int LogNewLine(void)

   {FILE *fe;
    fe = fopen(logfname, "a");
    if (fe == NULL)
        return 0;
    else
       {fprintf(fe, "\n");
        fclose(fe);
        return 1;}
   }


int LogDate(void)

   {FILE *fe;
    time_t sectime;
    struct tm *ltime;
    char ts[9];
    sectime = time(NULL);
    ltime = localtime(&sectime);
    fe = fopen(logfname, "a");
    if (fe == NULL)
        return 0;
    else
       {fprintf(fe, "%s/", itoa(ltime->tm_mday, ts, 10));
        fprintf(fe, "%s/", itoa(ltime->tm_mon+1, ts, 10));
        fprintf(fe, "%s ", itoa(ltime->tm_year, ts, 10));
        fprintf(fe, "%s:", itofa(ltime->tm_hour, ts, 10, 2));
        fprintf(fe, "%s:", itofa(ltime->tm_min, ts, 10, 2));
        fprintf(fe, "%s\n", itofa(ltime->tm_sec, ts, 10, 2));
        fclose(fe);
        return 1;}
   }
