

#ifndef _STRING2T



#define _STRING2T



/* Libreria di compatibilita' GCC -> Borland Turbo C++ (funzioni stringa)

   Definisce alcune funzioni esistenti in string.h e cytpe.h del Turbo C++

   e non nel GCC. Includendo questa libreria tutti i programmi che

   funzionano con le funzioni stringa del Turbo C++ continueranno a farlo

   in GCC! */



/* Nota: attualmente supporta strupr, strlwr, stricmp, strnicmp, itoa */



#include <string.h>

#include <ctype.h>

#include "strinlib.h"





#define stricmp(s1, s2) strcasecmp((s1), (s2))

#define strnicmp(s1, s2, n) strncasecmp((s1), (s2), (n))



extern char *strupr(char *s);

extern char *strlwr(char *s);

extern char *itoa(int n, char *s, int radix);



#endif